I get an error rebuilding app after installing the ad plugin


(Scot) #1

I added GitHub - discourse/discourse-adplugin: Official Discourse Advertising Plugin. Install & Start Serving Ads on Your Discourse Forum to the plugin list in app.yml and then did the overwrite and save and exit then ran ./launcher rebuild app and I got this error:

I am not sue what I did wrong and now I get this when I try to pull up my discourse on the web:

59%20PM

I am hoping someone can help me fix this.

Thank you,
Scot


#2

Can you show us the app.yml file (the last part)

It seems that the ad plugin is installed twice, after patron plugin, and after askimet


(Scot) #3

Well color me blind. That was it. Problem solved. Thank you very much!!


(Jeff Atwood) #4

I think I have seen this double entry of plugins before, is there any easy way to check for this and ignore it @sam?


(Sam Saffron) #5

Not really, if you are cloning into the wrong spot this is something we want to error out on. We could do better with the error message though.